#ifndef RUN_H_
#define RUN_H_

#include "alignment.h"
#include "alignment_simd.h"
#include "load_data.h"
#include "filtering.h"
#include "genome_map.h"

int single_alignment(char* read_str, char* ref_str, char* qual_str,
    ScoreType match, ScoreType mismatch, ScoreType gap_open, ScoreType gap_extend, short allowed_indels,
    FILE* output);

int reads_against_reference(const char* reads_filename, const char* qual_filename, const char* ref_filename,
    const char* seeds,
    ScoreType match, ScoreType mismatch, ScoreType gap_open, ScoreType gap_extend, short allowed_indels,
    FILE* output, FILE* seq_output);

int reads_against_reference__counter(const char* reads_filename, const char* qual_filename, const char* ref_filename,
    const char* seedslist,
    ScoreType match, ScoreType mismatch, ScoreType gap_open, ScoreType gap_extend, short allowed_indels,
    FILE* output);

#endif /* RUN_H_ */
